# Poco::Data::ODBC

# class ConnectionHandle

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/ConnectionHandle.h

## Description

ODBC connection handle class

## Member Summary

Member Functions: handle, operator const SQLHDBC &

## Constructors

### ConnectionHandle

ConnectionHandle(
EnvironmentHandle * pEnvironment = 0
);

Creates the ConnectionHandle.

## Destructor

### ~ConnectionHandle

~ConnectionHandle();

Creates the ConnectionHandle.

## Member Functions

### handle

const SQLHDBC & handle() const;

Returns const reference to handle;

### operator const SQLHDBC &

operator const SQLHDBC & () const;

Const conversion operator into reference to native type.